Subject: bug#1111: describe-key's key notation display inconsistency

From: Stefan Kangas <[email-masked]>
Date: Thu, 8 Aug 2019 14:35:23 +0200

xah lee <[email-masked]> writes:

> When doing a describe-key on C-<backspace>, emacs prints <C-
> backspace> instead. Similar for any other special key whose macro notation are
> bracketed by angle brackets. e.g. <down>, <F6>, <return>, <kp-1>, etc. Where,
> emacs puts the entire thing inside angle brackets instead of the more
> traditional of modifier followed by dash followed by key name.
>
> Although these are identical as far as kbd function is concerned, but wouldn't
> it be more intuitively consistent by using C-<key> instead of <C-key>?

Would anyone else want to weigh in on this old wishlist item?  Is this a
good idea, even if it is very minor, or should we close this as wontfix?

FWIW, I personally don't mind either way.

Thanks,
Stefan Kangas